// packageH/starMusic/starMusicMy/starMusicMy.js
var app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    member: {},
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getData();
  },

  getData() {
    let urlStr = app.getNetAddresss("plugin.star-spell.frontend.index.mySelf");
    app._postNetWork({
      url: urlStr,
      data: {},
      success: (resdata) => {
        var res = resdata.data;
        if (res.result != 1) return app.tips(res.msg);
        this.setData({
          member: res.data.member,
        });
      },
    });
  },

  starMusicPersonalGroup(evt) {
    let pages = evt.currentTarget.dataset.pages;
    wx.navigateTo({
      url:
        "/packageH/starMusic/starMusicPersonalGroup/starMusicPersonalGroup?pages=" +
        pages,
    });
  },
  gotoStarMusicRewardsRecord() {
    wx.navigateTo({
      url: "/packageH/starMusic/starMusicRewardsRecord/starMusicRewardsRecord",
    });
  },
  gotoStarMusicEspNumber() {
    wx.navigateTo({
      url: "/packageH/starMusic/starMusicEspNumber/starMusicEspNumber",
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
});
